Subject: Re: Boot failure on Arndale with next-20131105

From: Stephen Warren <[email-masked]>
Date: Tue, 05 Nov 2013 15:06:25 -0700

On 11/05/2013 01:56 PM, Chris Mason wrote:
> Quoting Olof Johansson (2013-11-05 15:38:33)
>> On Tue, Nov 5, 2013 at 12:33 PM, Chris Mason <[email-masked]> wrote:
>>> Quoting Olof Johansson (2013-11-05 15:23:51)
>>>> On Tue, Nov 5, 2013 at 11:33 AM, Jens Axboe <[email-masked]> wrote:
>>>
>>> [ horrible crashes fixed by removing my patch ]
>>>
...
> Ok, I think I see it.  My guess is that you're hitting bounce buffers.
> __blk_queue_bounce is the only caller of the bio splitting code I can
> see that you might be hitting.
> 
> My first patch exposed a lurking bug in bio_clone_biovec.  Basically
> bio->bi_vcnt is being doubled instead of initialized.
> 
> This patch is only compile tested, but I think it'll fix it.

Tested-by: Stephen Warren <[email-masked]>
(this fixes the issue on Tegra30/Beaver at least)